import { Option, OptionOrNullable, TransactionBuilder } from '@metaplex-foundation/umi';
import { DefaultGuardSetMintArgs } from './defaultGuards';
import { MintV1InstructionAccounts, mintV1 as baseMintV1 } from './generated/instructions/mintV1';
import { GuardRepository, GuardSetMintArgs } from './guards';
export { MintV1InstructionAccounts };
export declare type MintV2InstructionData<MA extends GuardSetMintArgs> = {
    discriminator: Array<number>;
    mintArgs: MA;
    group: Option<string>;
};
export declare type MintV2InstructionDataArgs<MA extends GuardSetMintArgs> = {
    mintArgs?: Partial<MA>;
    group?: OptionOrNullable<string>;
};
export declare function mintV1<MA extends GuardSetMintArgs = DefaultGuardSetMintArgs>(context: Parameters<typeof baseMintV1>[0] & {
    coreGuards: GuardRepository;
}, input: MintV1InstructionAccounts & MintV2InstructionDataArgs<MA extends undefined ? DefaultGuardSetMintArgs : MA>): TransactionBuilder;
